<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PackagePartName (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PackagePartName (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackagePartName.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html"
               title="interface in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackagePartName.html"
               target="_top">Frames</a></li>
        <li><a href="PackagePartName.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.openxml4j.opc</div>
    <h2 title="Class PackagePartName" class="title">Class PackagePartName</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.openxml4j.opc.PackagePartName</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                            title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PackagePartName</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                      title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&gt;</pre>
                <div class="block">An immutable Open Packaging Convention compliant part name.</div>
                <dl>
                    <dt><span class="seeLabel">See Also:</span></dt>
                    <dd><a href="http://www.ietf.org/rfc/rfc3986.txt">http://www.ietf.org/rfc/rfc3986.txt</a></dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#compare-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.PackagePartName-">compare</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;obj1,
                                    <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                       title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;obj2)</code>
                                    <div class="block">A natural sort order for package part names, consistent with the
                                        requirements of <code>java.util.Comparator</code>, but simply implemented
                                        as a static method.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#compare-java.lang.String-java.lang.String-">compare</a></span>(java.lang.String&nbsp;str1,
                                    java.lang.String&nbsp;str2)</code>
                                    <div class="block">A natural sort order for strings, consistent with the
                                        requirements of <code>java.util.Comparator</code>, but simply implemented
                                        as a static method.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#compareTo-org.apache.poi.openxml4j.opc.PackagePartName-">compareTo</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;other)</code>
                                    <div class="block">Compare two part names following the rule M1.12 :

                                        Part name equivalence is determined by comparing part names as
                                        case-insensitive ASCII strings.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;other)</code>
                                    <div class="block">Part name equivalence is determined by comparing part names as
                                        case-insensitive ASCII strings.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#getExtension--">getExtension</a></span>()</code>
                                    <div class="block">Retrieves the extension of the part name if any.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#getName--">getName</a></span>()</code>
                                    <div class="block">Get this part name.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.net.URI</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#getURI--">getURI</a></span>()</code>
                                    <div class="block">Part name property getter.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#isRelationshipPartURI--">isRelationshipPartURI</a></span>()</code>
                                    <div class="block">Know if this part name is a relationship part name.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="isRelationshipPartURI--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isRelationshipPartURI</h4>
                                <pre>public&nbsp;boolean&nbsp;isRelationshipPartURI()</pre>
                                <div class="block">Know if this part name is a relationship part name.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if this part name respect the relationship
                                        part naming convention else <code>false</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compareTo-org.apache.poi.openxml4j.opc.PackagePartName-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>compareTo</h4>
                                <pre>public&nbsp;int&nbsp;compareTo(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;other)</pre>
                                <div class="block">Compare two part names following the rule M1.12 :

                                    Part name equivalence is determined by comparing part names as
                                    case-insensitive ASCII strings. Packages shall not contain equivalent
                                    part names and package implementers shall neither create nor recognize
                                    packages with equivalent part names. [M1.12]
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a
                                            href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                            title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExtension--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExtension</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getExtension()</pre>
                                <div class="block">Retrieves the extension of the part name if any. If there is no
                                    extension
                                    returns an empty String. Example : '/document/content.xml' => 'xml'
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The extension of the part name.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block">Get this part name.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The name of this part name.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;other)</pre>
                                <div class="block">Part name equivalence is determined by comparing part names as
                                    case-insensitive ASCII strings. Packages shall not contain equivalent
                                    part names and package implementers shall neither create nor recognize
                                    packages with equivalent part names. [M1.12]
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getURI--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getURI</h4>
                                <pre>public&nbsp;java.net.URI&nbsp;getURI()</pre>
                                <div class="block">Part name property getter.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>This part name URI.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compare-org.apache.poi.openxml4j.opc.PackagePartName-org.apache.poi.openxml4j.opc.PackagePartName-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>compare</h4>
                                <pre>public static&nbsp;int&nbsp;compare(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;obj1,
                          <a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartName.html"
                             title="class in org.apache.poi.openxml4j.opc">PackagePartName</a>&nbsp;obj2)</pre>
                                <div class="block">A natural sort order for package part names, consistent with the
                                    requirements of <code>java.util.Comparator</code>, but simply implemented
                                    as a static method.
                                    <p>
                                        For example, this sorts "file10.png" after "file2.png" (comparing the
                                        numerical portion), but sorts "File10.png" before "file2.png"
                                        (lexigraphical sort)

                                    <p>
                                        When comparing part names, the rule M1.12 is followed:

                                        Part name equivalence is determined by comparing part names as
                                        case-insensitive ASCII strings. Packages shall not contain equivalent
                                        part names and package implementers shall neither create nor recognize
                                        packages with equivalent part names. [M1.12]</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>obj1</code> - first <code>PackagePartName</code> to compare</dd>
                                    <dd><code>obj2</code> - second <code>PackagePartName</code> to compare</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a negative integer, zero, or a positive integer as the first argument is less
                                        than,
                                        equal to, or greater than the second.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compare-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>compare</h4>
                                <pre>public static&nbsp;int&nbsp;compare(java.lang.String&nbsp;str1,
                          java.lang.String&nbsp;str2)</pre>
                                <div class="block">A natural sort order for strings, consistent with the
                                    requirements of <code>java.util.Comparator</code>, but simply implemented
                                    as a static method.
                                    <p>
                                        For example, this sorts "file10.png" after "file2.png" (comparing the
                                        numerical portion), but sorts "File10.png" before "file2.png"
                                        (lexigraphical sort)</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>str1</code> - first string to compare</dd>
                                    <dd><code>str1</code> - second string to compare</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a negative integer, zero, or a positive integer as the first argument is less
                                        than,
                                        equal to, or greater than the second.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PackagePartName.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackagePartCollection.html"
               title="class in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/openxml4j/opc/PackageProperties.html"
               title="interface in org.apache.poi.openxml4j.opc"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/openxml4j/opc/PackagePartName.html"
               target="_top">Frames</a></li>
        <li><a href="PackagePartName.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
